リスト
リストのメンバーを取得
GET /v1/lists/{list_id}/members reads 2 クレジット
公開リストのメンバーであるアカウント。完全なユーザーレコードとして。
クエリパラメータ
| クエリパラメータ | 型 | 意味 |
|---|---|---|
count | int 1–100 = 50 | 要求するページサイズ。X はヒントとして扱います |
cursor | string | 前のページの next_cursor から。デコードできないカーソルは 400 です |
レスポンス
リスト ID、ユーザーレコードの 1 ページ、次ページ用のカーソル (終端では null)。存在しないか非公開のリストは 404 です。
ステータス: 200, 400, 404, 422, 429, 502
リクエスト
curl https://api.xsignalfeed.com/v1/lists/1439812722267357187/members?count=50 \ -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 400
{
"list_id": "1439812722267357187",
"users": [
{
"id": "2073702862933397504",
"screen_name": "list_member",
"name": "…",
"bio": "…",
"avatar": "https://pbs.twimg.com/profile_images/…_normal.jpg",
"banner": "https://pbs.twimg.com/profile_banners/2073702862933397504/…",
"followers": 79,
"following": 148,
"tweets": 348,
"location": "",
"url": "",
"verified": false,
"verified_type": null,
"protected": false,
"created_at": "2026-07-04T02:11:09Z",
"category": null
},
{
"…": "…"
}
],
"next_cursor": "6277800240046813184|2100421417605529578"
}